Bug 1127562 - [abrt] irssi: __strcmp_sse2_unaligned(): irssi killed by SIGSEGV
Summary: [abrt] irssi: __strcmp_sse2_unaligned(): irssi killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: irssi
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0bcd2ae97500d03e2bce57f50e1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 07:17 UTC by Matteo Settenvini
Modified: 2015-12-02 16:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:21:58 UTC


Attachments (Terms of Use)
File: backtrace (19.48 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (5.72 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: dso_list (3.90 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: environ (2.72 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: exploitable (93 bytes, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: maps (18.43 KB, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: open_fds (507 bytes, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details
File: var_log_messages (364 bytes, text/plain)
2014-08-07 07:17 UTC, Matteo Settenvini
no flags Details

Description Matteo Settenvini 2014-08-07 07:17:16 UTC
Description of problem:
Just staying idle in a channel. I could have received a new message with my nick in it, but I am not sure as the crash happened before any printing.

Version-Release number of selected component:
irssi-0.8.16-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        irssi
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/irssi
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:30
 #1 g_slist_sort_merge at gslist.c:995
 #2 g_slist_sort_real at gslist.c:1037
 #3 g_slist_sort at gslist.c:1060
 #4 update_user_presence at rosters.c:391
 #5 sig_recv_presence at rosters.c:499
 #6 signal_emit_real at signals.c:242
 #7 signal_emit at signals.c:286
 #8 handle_stanza at stanzas.c:79
 #9 connection_handle_message at lm-connection.c:291

Potential duplicate: bug 1066649

Comment 1 Matteo Settenvini 2014-08-07 07:17:19 UTC
Created attachment 924725 [details]
File: backtrace

Comment 2 Matteo Settenvini 2014-08-07 07:17:21 UTC
Created attachment 924726 [details]
File: cgroup

Comment 3 Matteo Settenvini 2014-08-07 07:17:22 UTC
Created attachment 924727 [details]
File: core_backtrace

Comment 4 Matteo Settenvini 2014-08-07 07:17:23 UTC
Created attachment 924728 [details]
File: dso_list

Comment 5 Matteo Settenvini 2014-08-07 07:17:24 UTC
Created attachment 924729 [details]
File: environ

Comment 6 Matteo Settenvini 2014-08-07 07:17:26 UTC
Created attachment 924730 [details]
File: exploitable

Comment 7 Matteo Settenvini 2014-08-07 07:17:27 UTC
Created attachment 924731 [details]
File: limits

Comment 8 Matteo Settenvini 2014-08-07 07:17:29 UTC
Created attachment 924732 [details]
File: maps

Comment 9 Matteo Settenvini 2014-08-07 07:17:30 UTC
Created attachment 924733 [details]
File: open_fds

Comment 10 Matteo Settenvini 2014-08-07 07:17:31 UTC
Created attachment 924734 [details]
File: proc_pid_status

Comment 11 Matteo Settenvini 2014-08-07 07:17:33 UTC
Created attachment 924735 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:16:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:22:02 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.